geometry checker duplicate nodes bad results
Status: Open

Priority: Normal

Assignee:

Category: C++ plugins/Geometry Checker

Affected QGIS version:3.2.1 Regression?: No

Operating System: win 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27403

Description

latest qgis 3.2.1, windows 7.

I run geometry checker for duplicate nodes with tolerance 1e-6 and it founds a lot of duplicates but when I check them there is only one

node, no duplicated ones. 

If I change tolerance the number of errors changes. With 1e-10 no errors was found.

It shows duplicates for polygons and linestrings. Can somebody check it?

History

#1 - 2018-08-09 02:36 PM - Giovanni Manghi

- Status changed from Open to Feedback

Possibly a problem with rounding when using very small tolerances. What is the problem in using a bigger tolerance?

#2 - 2018-08-09 04:23 PM - zimirrr leonid

the biggest allowable value 1e-3 still produces wrong errors.

I've changed project projection to epsg:3857 (previous was epsg:4326) nothing changes.

#3 - 2018-08-12 01:32 PM - Giovanni Manghi

Can you attach a sample of your data?

#4 - 2018-08-13 08:25 AM - zimirrr leonid

- File test_.gpkg added

#5 - 2018-08-13 10:36 AM - Giovanni Manghi

- Status changed from Feedback to Open

Files

test_.gpkg 136 KB 2018-08-13 zimirrr leonid
